/* Anonymizer for Facilitor P-ATO (reverse OTAP) chain
 *
 * $Revision$
 * $Id$
 *
 * Gradually improve over time, please
 */

column afcltlogfile new_value afcltlogfile NOPRINT;
select 'ANONYMIZED_' || UPPER(USER || '_' || sys_context('USERENV', 'SERVICE_NAME') || '_' || sys_context('USERENV', 'SERVER_HOST')) || '_' || to_char(sysdate,'YYYYMMDD_HH24MISS') || '.lst' as afcltlogfile from dual;
spool &afcltlogfile

SET FEEDBACK ON
SET ECHO ON
SET TIME ON

-- We draaien vaak vlak na een import, mooi moment om alles valid te maken
BEGIN
    DBMS_UTILITY.COMPILE_SCHEMA(USER, FALSE);
END;
/

BEGIN
    -- Destructive obstrufication of personal data.
    ano.anonymizefull();
END;
/

BEGIN adm.systrackscriptid('$Id$'); END;
/

exit
SPOOL OFF
